Last Comment Bug 656435 - add --ipcplugins flag to testing/mochitest/runtests.py
: add --ipcplugins flag to testing/mochitest/runtests.py
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Benjamin Smedberg [:bsmedberg]
:
Mentors:
Depends on:
Blocks: 644626
  Show dependency treegraph
 
Reported: 2011-05-11 13:22 PDT by Armen Zambrano [:armenzg] (EDT/UTC-4)
Modified: 2011-05-16 09:41 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
.1-fixed


Attachments
add --ipcplugins flag to testing/mochitest/runtests.py (1.75 KB, patch)
2011-05-11 13:22 PDT, Armen Zambrano [:armenzg] (EDT/UTC-4)
cmtalbert: review+
Details | Diff | Splinter Review
same patch but with modules/plugin/test path for aurora (1.75 KB, patch)
2011-05-12 06:25 PDT, Armen Zambrano [:armenzg] (EDT/UTC-4)
benjamin: review+
benjamin: approval‑mozilla‑aurora+
dveditz: approval2.0+
Details | Diff | Splinter Review

Description Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-05-11 13:22:26 PDT
Created attachment 531724 [details] [diff] [review]
add --ipcplugins flag to testing/mochitest/runtests.py

For bug 644626 we want to switch the path used for mochitest ipcplugins from modules/plugin/test to dom/plugins/test.

The problem comes when we want to land the code on mozilla-central but it is not landed on mozilla-aurora, mozilla-beta and mozilla-2.0.

I was planning on adding exceptions but the problem is that the new path will be moved from mozilla-central up to aurora and then to beta, hence needing to update the configs every 6 weeks.

Instead I would like to call runtests.py with a flag --ipcplugins and let the testPath be set in the code.

This means that the patch I just attached would need to land on the mentioned branches but with the old path rather than the new one.

ted, khuey who of you could look at this patch?

I am running it right now through the tryserver with attachment 529801 [details] [diff] [review] and will test it on staging.
Comment 1 cmtalbert 2011-05-11 13:56:48 PDT
Comment on attachment 531724 [details] [diff] [review]
add --ipcplugins flag to testing/mochitest/runtests.py

This does make the addition look like a new test harness, which is what you're after.  It should work fine.
Comment 2 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-05-12 06:25:53 PDT
Created attachment 531915 [details] [diff] [review]
same patch but with modules/plugin/test path for aurora

Thanks ctalbert!

Here is the same patch but using the old path (modules/plugin/test) which I would like it to land on aurora.

Before we can land:
* run the new builds with this patch on staging
** I just have to sendchange to staging from http://tbpl.mozilla.org/?tree=Try&rev=a5a0dac0a638
* receive my review on bug 644626

Landing plan:
* land on m-c attachment 531724 [details] [diff] [review] and attachment 529801 [details] [diff] [review]
* land *this* new patch on mozilla-aurora
* land on releng side attachment 531725 [details] [diff] [review]

We might get some mochitest-other oranges until our landings get build and tested. We should give them a heads up. The error they would get is a T-FAIL for mochitest-ipcplugins.

bsmedberg does this sound good to you?
do you think we could land this together tomorrow morning EST?
Comment 3 Benjamin Smedberg [:bsmedberg] 2011-05-12 06:27:21 PDT
Comment on attachment 531915 [details] [diff] [review]
same patch but with modules/plugin/test path for aurora

We should land this version of the patch on trunk first, then auroroa and 2.0 if it stays green. Then you can land the buildbot configs. Then I can land the test moves and change the path here. sound good?
Comment 4 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-05-12 07:36:43 PDT
(In reply to comment #3)
> Comment on attachment 531915 [details] [diff] [review] [review]
> same patch but with modules/plugin/test path for aurora
> 
> We should land this version of the patch on trunk first, then auroroa and
> 2.0 if it stays green. Then you can land the buildbot configs. Then I can
> land the test moves and change the path here. sound good?
Sounds good. Let me get back to you after I test this scenario on staging.
Comment 5 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-05-12 10:50:16 PDT
This has passed on staging.

If the patches don't land on mozilla-aurora and mozilla-2.0 then we would get:
"runtests.py: error: no such option: --ipcplugins"

I will ask release-drivers to grant us permission.
Comment 6 Daniel Veditz [:dveditz] 2011-05-12 17:09:25 PDT
Comment on attachment 531915 [details] [diff] [review]
same patch but with modules/plugin/test path for aurora

Approved for the mozilla2.0 repository, a=dveditz for when you get approval to land on the other branches.
Comment 7 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-05-13 14:00:05 PDT
Comment on attachment 531915 [details] [diff] [review]
same patch but with modules/plugin/test path for aurora

This has been checked in:
http://hg.mozilla.org/mozilla-central/rev/72f447a53575
http://hg.mozilla.org/mozilla-aurora/rev/205941ec292d

Still left to land on mozilla-2.0
Comment 8 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-05-13 14:05:53 PDT
Comment on attachment 531724 [details] [diff] [review]
add --ipcplugins flag to testing/mochitest/runtests.py

We have landed on mozilla-central the other attachment which obsoletes this patch.
http://hg.mozilla.org/mozilla-central/rev/72f447a53575

Instead of landing the attachment that I am obsoleting. We should land the following change with attachment 529801 [details] [diff] [review] from bug 644626:

diff --git a/testing/mochitest/runtests.py b/testing/mochitest/runtests.py
--- a/testing/mochitest/runtests.py
+++ b/testing/mochitest/runtests.py
@@ -440,5 +440,5 @@ class Mochitest(object):
       testURL = "about:blank"
     elif options.ipcplugins:
-      testURL = testHost + self.TEST_PATH + "modules/plugin/test"
+      testURL = testHost + self.TEST_PATH + "dom/plugins/test"
     return testURL
Comment 9 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-05-13 14:06:54 PDT
Assigning to bsmedberg for the mozilla-2.0 landing.
Comment 10 Daniel Holbert [:dholbert] 2011-05-13 16:37:38 PDT
Something from this bug is apparently causing mochitest-ipcplugins to be perma-orange (from failing to run at all) on non-mc branches -- e.g.
  http://tbpl.mozilla.org/?tree=Cedar&rev=6d0e02e42e34
  http://tbpl.mozilla.org/?tree=Try&rev=9b50737b8093

The error is in these failure logs is:
> runtests.py: error: no such option: --ipcplugins
> program finished with exit code 2

Presumably buildbot was updated to now pass "--ipcplugins" to runtests.py, but only builds that got comment 7 have a version of runtests.py that know about "--ipcplugins"...?

I don't know if there's any fix for this aside from "merge m-c out to project branches (like cedar) ASAP, and tell people to base try-pushes off of something after Comment 7".

But if there's a better fix, that would be great...
Comment 11 Ted Mielczarek [:ted.mielczarek] 2011-05-13 16:56:51 PDT
There's not, you need to merge, Armen posted about it in dev.planning.
Comment 12 Daniel Holbert [:dholbert] 2011-05-13 17:10:21 PDT
ah yes -- dev.tree-management actually:
http://groups.google.com/group/mozilla.dev.tree-management/browse_thread/thread/26deb1ab1a1c835e#

Thanks.
Comment 13 Benjamin Smedberg [:bsmedberg] 2011-05-16 09:41:09 PDT
http://hg.mozilla.org/releases/mozilla-2.0/rev/08cd5ee7b7c3

This is really status2.0:.2-fixed, but that's not availalble, so I'll mark it .1-fixed.

Note You need to log in before you can comment on or make changes to this bug.